package journal.action;

import journal.reader.DataJournalEntry;

public class FileTypePrinter extends BaseAction {

	@Override
	public void putValue(DataJournalEntry data) throws Exception {
		if( data.getTableName().startsWith("db.rev") ) {			
			Integer type = (Integer) data.getValue("type");
			Integer lbrType = (Integer) data.getValue("atype");
			String depotFile = (String) data.getValue("dfile");
			
			System.out.println(depotFile + " type = " + type + " lbrType = " + lbrType);
		}
	}
}
